FIX::MessageStoreFactory Class Referenceabstract

This interface must be implemented to create a MessageStore. More...

`#include <MessageStore.h>`

Inheritance diagram for FIX::MessageStoreFactory:
[legend]

## Public Member Functions

virtual | ~MessageStoreFactory ()
virtual MessageStore * | create (const SessionID &)=0
virtual void | destroy (MessageStore *)=0

## Detailed Description

This interface must be implemented to create a MessageStore.

Definition at line 58 of file MessageStore.h.

## Constructor & Destructor Documentation

## ~MessageStoreFactory()

virtual FIX::MessageStoreFactory::~MessageStoreFactory | ( |  | ) |

inline virtual

Definition at line 61 of file MessageStore.h.

{

References FIX::MessageStore::set(), and FIX::MessageStore::~MessageStore().

## Member Function Documentation

## create()

virtual MessageStore* FIX::MessageStoreFactory::create | ( | const SessionID & |  | ) |

pure virtual

Implemented in FIX::MemoryStoreFactory, FIX::FileStoreFactory, and FIX::NullStoreFactory.

Referenced by FIX::MemoryStore::set().

## destroy()

virtual void FIX::MessageStoreFactory::destroy | ( | MessageStore * |  | ) |

pure virtual

Implemented in FIX::MemoryStoreFactory, FIX::FileStoreFactory, and FIX::NullStoreFactory.

Referenced by FIX::MemoryStore::get().

The documentation for this class was generated from the following file:

- MessageStore.h